<?
include_once("./_common.php");

if (!$member[mb_id]) 
    alert("회원만 이용하실 수 있습니다.");

$me_id = (int)$me_id;

$current_box	= array();	//-- 선택 메시지 함
if ($kind == "recv") {
    $t = "받은";
    $unkind = "send";
	$current_box[0]	= "crntbox";

    $sql = " update $g4[memo_table]
                set me_read_datetime = '$g4[time_ymdhis]' 
              where me_id = '$me_id' 
                and me_recv_mb_id = '$member[mb_id]' 
                and me_read_datetime = '0000-00-00 00:00:00' ";
    sql_query($sql);
	
	//-- 읽지 않은 쪽지 개수 구하기
	if(isset($zm_config)) {	$memo_not_read	= zm_new_memo(); }
} else if ($kind == "send") {
    $t = "보낸";
    $unkind = "recv";
	$current_box[1]	= "crntbox";
} else if ($kind == "save") {
	$t = "보관";
	$unkind = "send";
	$current_box[2]	= "crntbox";
}else {
    alert("\$kind 값을 넘겨주세요.");
}

$g4[title] = "{$t} 쪽지 보기";
include_once("$g4[path]/head.sub.php");

$sql = " select * from $g4[memo_table]
          where me_id = '$me_id'
            and me_{$kind}_mb_id = '$member[mb_id]' ";
$memo = sql_fetch($sql);

// 이전 쪽지
$sql = " select * from $g4[memo_table]
          where me_id > '$me_id'
            and me_{$kind}_mb_id = '$member[mb_id]' 
          order by me_id asc
          limit 1 ";
$prev = sql_fetch($sql);
if ($prev[me_id])
    $prev_link = "./memo_view.php?kind=$kind&me_id=$prev[me_id]";
else
    $prev_link = "javascript:alert('쪽지의 처음입니다.');";


// 다음 쪽지
$sql = " select * from $g4[memo_table]
          where me_id < '$me_id'
            and me_{$kind}_mb_id = '$member[mb_id]' 
          order by me_id desc
          limit 1 ";
$next = sql_fetch($sql);
if ($next[me_id])
    $next_link = "./memo_view.php?kind=$kind&me_id=$next[me_id]";
else
    $next_link = "javascript:alert('쪽지의 마지막입니다.');";

$mb			= get_member($memo["me_{$unkind}_mb_id"]);
$nick		= get_sideview($mb[mb_id], $mb[mb_nick], $mb[mb_email], $mb[mb_homepage]);

//-- 쪽지가 삭제(발신취소) 된 경우
if(!$memo[me_id]) alert("해당 쪽지는 발송자에 의해 전송 취소 되었거나 스팸, 악성코드 등을 포함 하고 있어 차단 되었습니다.", "./memo.php?kind=recv");

echo "<script type='text/javascript' src='$g4[path]/js/sideview.js'></script>";

include_once("$member_skin_path/memo_view.skin.php");

include_once("$g4[path]/tail.sub.php");
?>
